Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9498

Department: SUPPORT Affected Products: ADTF 3.3.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Doc

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

wir haben da ein paar Fehler in der Doku gefunden:

ADTF/3.3.0/doc/adtf_html/classadtf_1_1streaming_1_1ant_1_1_i_runtime_behaviour.html:

The RuntimeBehaviour interface is to clearly dafine the a filters running entry points (IRunner) and there interconnection to each

other (ITriggerPipe)

Comment: *Please correct typos and grammar.

ADTF/3.3.0/doc/adtf_html/page_streaming_graph.html:

Remarks

Properties must be set BEFORE the object is added, because the Properties can be read while the Construct callback.

Comment: this is not very clear, what is meant by "adding an object"Please make the remark more clear, it may also be sensible to

un-capitalize"BEFORE", and to set links to"Properties" and"Construct" (they are capitalized, so looks like they reference a certain

idea, but no link is given).

· ISampleStream (as Stream Port for Sample Data)

Comment: Sample streams are used also for directly connection of sinks and sources, not only as ports. Please correct this.

ADTF/3.3.0/doc/adtf_html/page_filter_graph.html#subsubsection_filter_graph_objects_streaming_ports:

ISampleStreamInPort is automatically connected to the StreamPort of the Streaming Graph it is embedded to. The connection is

established between the SampleStreamPort itself and Stream Port of the Stream Graph with the name retrieved by

ISampleStreamInPort::GetPortID. The default implementation is cSampleStreamInPort.

Comment: *StreamPort or "Stream Port", please make this consistent. Same in the next item.

See also

subsection_stream_port

Comment: *Link is missing.

Könnt ihr euch die mal anschauen?

Lösung

ACORE-9498 erstellt
History

#1 - 2018-05-02 18:24 - hidden

- Project changed from Public Support to 7

- Description updated

- Topic set to ADTF::Doc

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.3.0 added

#2 - 2018-05-03 14:00 - hidden

- Status changed from New to In Progress

#3 - 2018-05-03 15:17 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9498

- Support Level changed from 2nd Level to 3rd Level

Hallo Anja,

ich habe ein allgemeines DOku Ticket dafür erstellt -> ACORE-9498

Wenn du keine weiteren Anmerkungen mehr hast, würde ich das Ticket schließen

#4 - 2018-05-04 09:45 - hidden

Hallo Michael,

das passt.

Danke und Grüße,

Anja

#5 - 2018-05-04 09:56 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 7 64bit added

#6 - 2018-05-04 17:42 - hidden

- Status changed from To Be Closed to Closed

#7 - 2018-08-30 12:15 - hidden

- Project changed from 7 to Public Support

#8 - 2018-08-30 12:15 - hidden

- Private changed from Yes to No

#9 - 2020-07-07 16:53 - hidden

- Description updated
